<bugID>1350008<Summary>Don't read the file type description from mimeTypes.rdf</Summary><Description>In bug 1287664 we accidentally removed the last piece of code that was able to save file type descriptions in "mimeTypes.rdf". This does not have any practical effect, because there is no way in the browser to edit a file type description and make it different from the description provided by the operating system.

The default implementation of nsIHandlerService still reads the description from "mimeTypes.rdf" if one is present. The data is only present for types saved before Firefox 52 or for types that are configured manually.

I think we can safely remove the code that reads the legacy file type descriptions from "mimeTypes.rdf". All the consumers of nsIHandlerInfo are able to set up a default description when one is not available from the operating system or the configuration. The ability to edit "mimeTypes.rdf" manually to provide custom handler applications will continue to work, but file types unknown to the operating system will always get a default description.

This allows us to simplify the JSON file format introduced in bug 1287660 before making it the default back-end in bug 1287658.</Description></bugID>